﻿@model IssueStatusModel
@{
    var colors = new List<String>() { "primary", "secondary", "success", "warning", "danger" };
}
<div class="modal fade" tabindex="-1" aria-modal="true" role="dialog" id="status-edit-modal">
    <div class="modal-dialog">
        <div class="modal-content">
            <form id="update-status-form" asp-controller="project" asp-action="updateStatus" autocomplete="off" data-ajax="true" data-ajax-method="POST" data-ajax-success="onStatusUpdated">
                <div class="modal-header d-flex align-items-center">
                    <h4 class="modal-title" id="myModalLabel">
                        Custom Status
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="mb-3">
                        <label class="form-label control-label required" asp-for="@Model.Description"> Description </label>
                        <input class="form-control" type="text" asp-for="@Model.Description" />
                    </div>

                    <div class="">
                        <input type="hidden" name="id" value="@Model.Id"/>
                        <input type="hidden" name="projectId" id="project-id" value="@Model.ProjectId" />
                        <input type="hidden" name="workspaceId" id="workspace-id" value="" />
                        <input type="hidden" name="colorCode" id="color-code" value="@Model.ColorCode" />
                        <label class="form-label control-label"> Color </label>
                        <div>
                            @foreach (var color in colors)
                            {
                                <i class="fa-solid fa-circle color-chooser me-2 text-@color @(color == Model.ColorCode ? "active" : "")" onclick="selectColor('@color', this)"></i>
                            }

                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn bg-success-subtle text-danger font-medium waves-effect" onclick="validateAndSubmit('#update-status-form')">
                        Save
                    </button>
                    <button type="button" class="btn bg-danger-subtle text-danger font-medium waves-effect" data-bs-dismiss="modal">
                        Cancel
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
